Package ru.bgcrm.plugin.document.dao

# Class DocumentDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.plugin.document.dao.DocumentDAO

public class DocumentDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String objectType, int objectId, byte[] data, String title)`
  Добавляет привязанный к объекту документ.
  `void`
  `add(Document b)`
  Добавляет документ.
  `OutputStream`
  `createDocumentFile(Document doc, String title)`
  `void`
  `delete(Document doc)`
  Удаляет документ и привязанный к нему файл.
  `Document`
  `getDocumentById(int id)`
  Возвращает документ по его ID.
  `static Document`
  `getFromRS(ResultSet rs, String prefix)`
  `void`
  `searchObjectDocuments(Pageable<Document> result, String objectType, int objectId)`
  Ищет документы привязанные к объекту.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentDAO

    public DocumentDAO(Connection con)

- ## Method Details

  - ### add

    public void add(String objectType, int objectId, byte[] data, String title)
    Добавляет привязанный к объекту документ.
    Parameters:
      `objectType` -
      `objectId` -
      `data` -
      `title` -

  - ### add

    public void add(Document b) throws SQLException
    Добавляет документ. Файл должен быть загружен ранее с помощью `FileDataDAO`.
    Parameters:
      `b` -
    Throws:
      `SQLException`

  - ### delete

    public void delete(Document doc) throws Exception
    Удаляет документ и привязанный к нему файл.
    Parameters:
      `doc` -
    Throws:
      `Exception`

  - ### getDocumentById

    public Document getDocumentById(int id)
    Возвращает документ по его ID.
    Parameters:
      `id` -
    Returns:

  - ### searchObjectDocuments

    public void searchObjectDocuments(Pageable<Document> result, String objectType, int objectId)
    Ищет документы привязанные к объекту.
    Parameters:
      `result` -
      `objectType` -
      `objectId` -

  - ### createDocumentFile

    public OutputStream createDocumentFile(Document doc, String title) throws Exception
    Throws:
      `Exception`

  - ### getFromRS

    public static Document getFromRS(ResultSet rs, String prefix) throws SQLException
    Throws:
      `SQLException`